CHIMERASLAYER(1)

NAME
chimeraslayer - detects likely chimeras in PCR amplified DNA

DESCRIPTION
ChimeraSlayer is a chimeric sequence detection utility, compatible with near-full length Sanger sequences and shorter 454-FLX sequences (~500bp).

Chimera Slayer involves the following series of steps that operate to flag chimeric 16S rRNA sequences:

1.  the ends of a query sequence are searched against an included database of reference chimera-free 16S sequences to identify potential parents of a chimera

2.  candidate parents of a chimera are selected as those that form a branched best scoring alignment to the NAST-formatted query sequence

3.  the NAST alignment of the query sequence is improved in a ‘chimera-aware’ profile-based NAST realignment to the selected reference parent sequences

4.  an evolutionary framework is used to flag query sequences found to exhibit greater sequence homology to an in silico chimera formed between any two of the selected reference parent sequences.

To run Chimera Slayer, you need NAST-formatted sequences generated by the nast-ier utility.

ChimeraSlayer is part of the microbiomeutil suite.

OPTIONS

  Required

--query_NAST
    multi-fasta file containing query sequences in alignment format

  Common options

--db_NAST
    db in NAST format (default: /usr/share/microbiomeutil-data/RESOURCES/rRNA16S.gold.NAST_ALIGNED.fasta)

--db_FASTA
    db in fasta format (megablast formatted) (default: /usr/share/microbiomeutil-data/RESOURCES/rRNA16S.gold.fasta)

-n  number of top matching database sequences to compare to (default 15)

-R  min divergence ratio default: 1.007

-P  min percent identity among matching sequences (default: 90)

  Parameters to tune ChimeraParentSelector:
Scoring parameters:

-M  match score (default: +5)

-N  mismatch penalty (default: -4)

-Q  min query coverage by matching database sequence (default: 70)

-T  maximum traverses of the multiple alignment (default: 1)

  Parameters to tune ChimeraPhyloChecker

--windowSize
    default 50

--windowStep
    default 5

--minBS
    minimum bootstrap support for calling chimera (default: 90)

--num_BS_replicates
    default: 100

--low_range_finer_BS
    (default: 10) If computed BS is between minBS and (minBS - low_range_finer_BS), then num_finer_BS_replicates computed.

--num_finer_BS_replicates
    (default: 1000)

-S  percent of SNPs to sample on each side of breakpoint for computing bootstrap support (default: 10)

--num_parents_test
    number of potential parents to test for chimeras (default: 3)

--MAX_CHIMERA_PARENT_PER_ID
    Chimera/Parent alignments with perID above this are considered non-chimeras (default 100; turned off)

  Misc options

--printFinalAlignments
    shows alignment between query sequence and pair of candidate chimera parents

--printCSalignments
    print ChimeraSlayer alignments in ChimeraSlayer output

--exec_dir
    chdir to here before running

SEE ALSO
http://microbiomeutil.sourceforge.net/#A_CS

AUTHOR
This manual page was written by Andreas Tille <tille@debian.org> but can be freely used for any other distribution.